/*

  MAX7219 8x8 LED Dot Matrix Display

  Parts required:
  - Arduino Board
  - MAX7219 8x8 LED Dot Matrix Display

  Programming by René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 5 Jan 2020
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

#include <LedControl.h>                                       // include library LedControl

int DIN = 11;                                                 // set variable DIN to Digital Port 11
int CS =  9;                                                  // set variable CS to Digital Port 9
int CLK = 13;                                                 // set variable CLK to Digital Port 13

byte smile[8]=   {0x3C,0x42,0xA5,0x81,0xA5,0x99,0x42,0x3C};   // data for smily
byte neutral[8]= {0x3C,0x42,0xA5,0x81,0xBD,0x81,0x42,0x3C};   // data for neutral smily

LedControl lc=LedControl(DIN,CLK,CS,1);                       // create object from LedControl to LedControl

void setup(){
 lc.shutdown(0,false);                                        // set Led Matrix to no sleep mode or shut down
 lc.setIntensity(0,5);                                        // set Led Matrix Led Intensity to 5 (half brigthness)
 lc.clearDisplay(0);                                          // clear Led Matrix display
}

void loop()
{ 
   printByte(smile);                                          // read data from smily and print to Led Matrix
   delay(1000);                                               // wait 1000ms

   printByte(neutral);                                        // read data from neutral smily and print to Led Matrix
   delay(1000);                                               // wait 1000ms
   
   lc.clearDisplay(0);                                        // clear Led Matrix
   delay(1);                                                  // wait 1ms
 
}

void printByte(byte character [])                             // function printByte
{
  int i = 0;                                                  // set variable i to 0
  for(i=0;i<8;i++)                                            // do from 0 to 8
  {
    lc.setRow(0,i,character[i]);                              // read data from array and store in printByte
  }
}
